Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# sql_string.h File Reference

Declares an `std::string` derivative that adds some things needed within the library. More...

`#include "defs.h"`
`#include <stdio.h>`
`#include <string>`

Include dependency graph for sql_string.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares an `std::string` derivative that adds some things needed within the library.

This class adds some flags needed by other parts of MySQL++, and it adds conversion functions from any primitive type. This helps in inserting these primitive types into the database, because we need everything in string form to build SQL queries.